StreamSession.State (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.streaming

## Enum StreamSession.State

- java.lang.Object
- - java.lang.Enum<StreamSession.State>
  - - org.apache.cassandra.streaming.StreamSession.State

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StreamSession.State>
  Enclosing class:
    StreamSession

      public static enum StreamSession.State
      extends java.lang.Enum<StreamSession.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLETE`
    `FAILED`
    `INITIALIZED`
    `PREPARING`
    `STREAMING`
    `WAIT_COMPLETE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StreamSession.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StreamSession.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INITIALIZED

          public static final StreamSession.State INITIALIZED

    - #### PREPARING

          public static final StreamSession.State PREPARING

    - #### STREAMING

          public static final StreamSession.State STREAMING

    - #### WAIT_COMPLETE

          public static final StreamSession.State WAIT_COMPLETE

    - #### COMPLETE

          public static final StreamSession.State COMPLETE

    - #### FAILED

          public static final StreamSession.State FAILED

  - ### Method Detail

    - #### values

          public static StreamSession.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StreamSession.State c : StreamSession.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StreamSession.State valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation